#!/usr/bin/awk -f
# lap : 1--overlap 0--non-overlap
# comp: 1--access  0--origin
# code:
#   non-blank -- specify status code
#   blank     -- not specify status code
BEGIN {
    if(code!="" && comp==1) { sc=4 }    
    if(code!="" && comp==0) { sc=11 }    
    if(code=="") { sc=1000 }    
    if(comp==1) { ac=56 }    
    if(comp==0) { ac=50 }    
}

{
    if(acc==$ac && code==$sc)
        res[$pos]++
}

END {
    for(i in res)
        printf "%-12s%-8s%-s\n", res[i]/NR*100"%", res[i], i
}


